//------------- levelshots shaders ---------------
//------------------------------------------------
levelshots/lays_of_schwarzwald_b1_cc_automap
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/lays_of_schwarzwald_b1_cc.tga
		depthFunc equal
		rgbGen identity
	}
}

levelshots/lays_of_schwarzwald_b1_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/lays_of_schwarzwald_b1_cc.tga
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}


// -------------------------------
// ----- little adjustments ------
// -------------------------------
textures/schwarzwald/train_side4
{
	surfaceparm metalsteps
	implicitMap -
}

textures/schwarzwald/train_side4_square
{
	surfaceparm metalsteps
	implicitMap -
}

textures/schwarzwald/train_wheels
{
	surfaceparm metalsteps
	implicitMap -
}

textures/schwarzwald/windows_04
{
	surfaceparm woodsteps
	implicitMap -
}

textures/schwarzwald/rooftile1
{
	surfaceparm roofsteps
	implicitMap -
}

textures/schwarzwald/darktunnel
{
	surfaceparm nomarks
	surfaceparm noimpact
	implicitMap -
}


// ---------------------------------
// -------- shiny windows ----------
// ---------------------------------
textures/schwarzwald/town_window03
{
	surfaceparm glass
	{
		map textures/schwarzwald/town_window03.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/schwarzwald/town_window03.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/schwarzwald/town_window02
{
	surfaceparm glass
	{
		map textures/schwarzwald/town_window02.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/schwarzwald/town_window02.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/schwarzwald/town_window01b
{
	surfaceparm glass
	{
		map textures/schwarzwald/town_window01b.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/schwarzwald/town_window01b.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/schwarzwald/town_window01
{
	surfaceparm glass
	{
		map textures/schwarzwald/town_window01.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/schwarzwald/town_window01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


// --------------------------
// --------- decals ---------
// --------------------------
textures/schwarzwald/brick_trim
{
   noPicMip
   polygonOffset
   surfaceparm nonsolid
   {
      map textures/schwarzwald/brick_trim.tga
      blendFunc blend   //inverse multiply (fog)
   }
}

textures/schwarzwald/decal_dirt
{
   noPicMip
   polygonOffset
   surfaceparm nonsolid
   {
      map textures/schwarzwald/decal_dirt.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR   //inverse multiply (fog)
   }
}


// ------------------------------------
// ----------- tree shaders -----------
// ------------------------------------
models/trees_green/leaves
{
	nopicmip
	qer_alphafunc greater 0.5
	qer_editorimage models/trees_green/leaves.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
//	deformVertexes wave 10 sin 0 1 0 0.3	//waving effect, dont use this if you place too many trees
	implicitMask -
}

models/trees_green/trunk
{
	q3map_shadeangle 120 
	nopicmip
	surfaceparm woodsteps
	surfaceparm nomarks
	qer_editorimage models/trees_green/trunk.tga
	implicitmask -
}

// ------------------------------------
// --------- terrain shaders ----------
// ------------------------------------
//road
textures/schwarzwald/road_ter
{
	qer_editorimage textures/schwarzwald/blend_05.tga
	
	q3map_globalTexture
	q3map_novertexshadows
	q3map_forcesunlight
	q3map_lightmapMergable
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_tcMod scale 0.3 0.3
	
	surfaceparm rubble
	
	{
		map textures/schwarzwald/terrain03.tga
		rgbGen identity
	}
	{
		map textures/schwarzwald\dirt_m03icmp_brown.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/schwarzwald/asphalt_ter
{
	qer_editorimage textures/schwarzwald/blend_05.tga
	
	q3map_globalTexture
	q3map_novertexshadows
	q3map_forcesunlight
//	q3map_lightmapMergable	//fcks up shadows
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_tcMod scale 0.3 0.3
	
	surfaceparm rubble

	{
		map textures/schwarzwald\dirt_m03icmp_brown.tga
		rgbGen identity
	}
	{
		map textures/schwarzwald/terrain08.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//terrain03b texturing
textures/schwarzwald/grass_path05_03b
{
	qer_editorimage textures/schwarzwald/blend_04.tga
	
	q3map_globalTexture
	q3map_novertexshadows
	q3map_forcesunlight
	q3map_lightmapMergable
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_tcMod scale 0.3 0.3
	
	surfaceparm landmine
	surfaceparm grasssteps
	
	{
		map textures/schwarzwald/terrain04.tga
		rgbGen identity
	}
	{
		map textures/schwarzwald/terrain02.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


//terrain05 texturing
textures/schwarzwald/grass_rock05
{
	qer_editorimage textures/schwarzwald/blend_02.tga
	
	q3map_globalTexture
	q3map_novertexshadows
	q3map_forcesunlight
//	q3map_lightmapMergable	//fcks up shadows
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_tcMod scale 0.3 0.3
	
	surfaceparm stonesteps
	
	{
		map textures/schwarzwald/terrain08.tga
		rgbGen identity
	}
	{
		map textures/schwarzwald/terrain05.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/schwarzwald/rock_grass
{
	qer_editorimage textures/schwarzwald/blend_02.tga
	
	q3map_globalTexture
	q3map_novertexshadows
	q3map_forcesunlight
//	q3map_lightmapMergable	//fcks up shadows
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_tcMod scale 0.3 0.3
	
	surfaceparm stonesteps
	
	{
		map textures/schwarzwald/terrain05.tga
		rgbGen identity
	}
	{
		map textures/schwarzwald/terrain08.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/schwarzwald/grass_path05
{
	qer_editorimage textures/schwarzwald/blend_08.tga
	q3map_globalTexture
	q3map_novertexshadows
	q3map_forcesunlight
	q3map_lightmapMergable	
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_tcMod scale 0.3 0.3
	
	surfaceparm grasssteps
	
	{
		map textures/schwarzwald/terrain04.tga
		rgbGen identity
	}
	{
		map textures/schwarzwald/terrain05.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/schwarzwald/grass_path04_foliage
{
	qer_editorimage textures/schwarzwald/blend_01.tga
	
	q3map_globalTexture
	q3map_novertexshadows
	q3map_forcesunlight
	q3map_lightmapMergable
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_tcMod scale 0.3 0.3
	
	surfaceparm landmine
	surfaceparm grasssteps
	
	q3map_foliage models/mapobjects/foliage_temperate/foliage1.md3 	3 50 0.01 2 	//both
	q3map_foliage models/mapobjects/foliage_temperate/foliage2.md3 	2.4 35 0.07 0 	//04
	q3map_foliage models/mapobjects/foliage_temperate/foliage1.md3 	2.2 70 0.05 0 	//04
	q3map_foliage models/mapobjects/foliage_temperate/foliage1.md3 	0.8 40 0.04 0 	//04
	
	{
		map textures/schwarzwald/terrain05.tga
		rgbGen identity
	}
	{
		map textures/schwarzwald/terrain04.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//terrain08 texturing
textures/schwarzwald/terrain08
{
	qer_editorimage textures/schwarzwald/blend_07.tga
	
	q3map_globalTexture
	q3map_novertexshadows
	q3map_forcesunlight
	q3map_lightmapMergable
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_tcMod scale 0.3 0.3
	
	surfaceparm stonesteps
	
	{
		map textures/schwarzwald/terrain08.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//terrain04 texturing
textures/schwarzwald/grass_rock
{
	qer_editorimage textures/schwarzwald/blend_07.tga
	
	q3map_globalTexture
	q3map_novertexshadows
	q3map_forcesunlight
	q3map_lightmapMergable
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_tcMod scale 0.3 0.3
	
	surfaceparm stonesteps
	
	{
		map textures/schwarzwald/terrain08.tga
		rgbGen identity
	}
	{
		map textures/schwarzwald/terrain04.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/schwarzwald/grass_path
{
	qer_editorimage textures/schwarzwald/blend_03.tga
	
	q3map_globalTexture
	q3map_novertexshadows
	q3map_forcesunlight
	q3map_lightmapMergable
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_tcMod scale 0.3 0.3

	surfaceparm landmine
	surfaceparm grasssteps
	
	q3map_foliage models/mapobjects/foliage_temperate/foliage1.md3 	3 50 0.01 2 	//both
	q3map_foliage models/mapobjects/foliage_temperate/foliage2.md3 	2.4 45 0.07 0 	//04
	q3map_foliage models/mapobjects/foliage_temperate/foliage1.md3 	2.2 95 0.05 0 	//04
	q3map_foliage models/mapobjects/foliage_temperate/foliage1.md3 	0.8 35 0.04 0 	//04
	
	{
		map textures/schwarzwald/terrain03.tga
		rgbGen identity
	}
	{
		map textures/schwarzwald/terrain04.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/schwarzwald/grass_path_train_foliage
{
	qer_editorimage textures/schwarzwald/blend_05.tga
	
	q3map_globalTexture
	q3map_novertexshadows
	q3map_forcesunlight
	q3map_lightmapMergable
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_tcMod scale 0.3 0.3
	
	surfaceparm landmine
	surfaceparm grasssteps
	
	q3map_foliage models/mapobjects/foliage_temperate/foliage1.md3 	0.8 40 0.04 0 //04
	
	{
		map textures/schwarzwald/terrain03.tga
		rgbGen identity
	}
	{
		map textures/schwarzwald/terrain04.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/schwarzwald/grass_path_train
{
	qer_editorimage textures/schwarzwald/blend_06.tga
	
	q3map_globalTexture
	q3map_novertexshadows
	q3map_forcesunlight
	q3map_lightmapMergable
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_tcMod scale 0.3 0.3
	
	surfaceparm landmine
	surfaceparm grasssteps
	
	{
		map textures/schwarzwald/terrain03.tga
		rgbGen identity
	}
	{
		map textures/schwarzwald/terrain04.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


//----------------------------------------
// -------------- foliage ----------------
//----------------------------------------
models\mapobjects\foliage_temperate\foliage1
{
	qer_alphafunc greater 0.5
	cull disable
	sort seethrough
	nopicmip
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nomarks
	distanceCull 1768 2048 0.5
	{
		map models\mapobjects\foliage_temperate\foliage1.tga
		alphaFunc GE128
		rgbGen exactVertex
		alphaGen vertex
	}
}

models\mapobjects\foliage_temperate\foliage2
{
	qer_alphafunc greater 0.5
	cull disable
	sort seethrough
	nopicmip
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nomarks
	distanceCull 1768 2048 0.5
//	deformVertexes wave 15 sin 0 1 0 0.25
	{
		map models\mapobjects\foliage_temperate\foliage2.tga
		alphaFunc GE128
		rgbGen exactVertex
		alphaGen vertex
	}
}

models/mapobjects/foliage_temperate/foliage3
{
	qer_alphafunc greater 0.5
	cull disable
	sort seethrough
	nopicmip
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nomarks
	distanceCull 1768 2048 0.5
	{
		map models/mapobjects/foliage_temperate/foliage3.tga
		alphaFunc GE128
		rgbGen exactVertex
		alphaGen vertex
	}
}


//----------------------------------------
// ----------- blending alphas -----------
//----------------------------------------
textures/schwarzwald/alpha_000
{
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/schwarzwald/alpha_025
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/schwarzwald/alpha_050
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/schwarzwald/alpha_075
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/schwarzwald/alpha_085
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/schwarzwald/alpha_100
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
